Create a new website user attribute value
curl --request POST \
--url https://admin.snagsolutions.io/api/website_user_attributes/values \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"data": [
{
"websiteUserAttributeId": "123e4567-e89b-12d3-a456-426614174004",
"userId": "123e4567-e89b-12d3-a456-426614174005",
"value": "Website User Attribute Value",
"id": "123e4567-e89b-12d3-a456-426614174003"
}
],
"websiteId": "123e4567-e89b-12d3-a456-426614174001",
"organizationId": "123e4567-e89b-12d3-a456-426614174002"
}
'import requests
url = "https://admin.snagsolutions.io/api/website_user_attributes/values"
payload = {
"data": [
{
"websiteUserAttributeId": "123e4567-e89b-12d3-a456-426614174004",
"userId": "123e4567-e89b-12d3-a456-426614174005",
"value": "Website User Attribute Value",
"id": "123e4567-e89b-12d3-a456-426614174003"
}
],
"websiteId": "123e4567-e89b-12d3-a456-426614174001",
"organizationId": "123e4567-e89b-12d3-a456-426614174002"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
websiteUserAttributeId: '123e4567-e89b-12d3-a456-426614174004',
userId: '123e4567-e89b-12d3-a456-426614174005',
value: 'Website User Attribute Value',
id: '123e4567-e89b-12d3-a456-426614174003'
}
],
websiteId: '123e4567-e89b-12d3-a456-426614174001',
organizationId: '123e4567-e89b-12d3-a456-426614174002'
})
};
fetch('https://admin.snagsolutions.io/api/website_user_attributes/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"websiteId": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"websiteUserAttributeId": "<string>",
"value": "<string>",
"userId": "<string>"
}
]{
"message": "Request body is invalid"
}"Forbidden, Could not validate api key"{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}Identity
Create a new website user attribute value
Create a new website user attribute value
POST
/
api
/
website_user_attributes
/
values
Create a new website user attribute value
Authorizations
Body
application/json
Body
Was this page helpful?
⌘I